org.springframework.asm.util

## Class TraceClassVisitor

- java.lang.Object
- - org.springframework.asm.ClassVisitor
  - - org.springframework.asm.util.TraceClassVisitor

    public class TraceClassVisitor
    extends org.springframework.asm.ClassVisitor

Dummy implementation of missing TraceClassVisitor from cglib-nodep's internally repackaged ASM library, added to avoid NoClassDefFoundErrors.

Since:
  3.2
Author:
  Chris Beams

### Field Summary

### Fields inherited from class org.springframework.asm.ClassVisitor

`api, cv`

### Constructor Summary

Constructors
Constructor and Description
`TraceClassVisitor(Object object, PrintWriter pw)`

### Method Summary

### Methods inherited from class org.springframework.asm.ClassVisitor

`visit, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitMethod, visitOuterClass, visitSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TraceClassVisitor

    public TraceClassVisitor(Object object,
                     PrintWriter pw)